/*
 * $Id: tosh_utils.h,v 1.2 2003/03/20 00:53:24 cws Exp $
 * Copyright (C) 2003 Chatchawan Wongsiriprasert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __TOSH_UTILS_H__
#define __TOSH_UTILS_H__

#include <fcntl.h>
#include <unistd.h>

class CFileHandle
{
    int m_Handle;
public:
    CFileHandle(int h) : m_Handle(h) {}
    ~CFileHandle() { if ( m_Handle >= 0 ) close(m_Handle); }
    
    operator int () { return m_Handle; }
};

#endif
